org.apache.lucene.analysis.gl

## Class GalicianMinimalStemmer

- java.lang.Object
- - org.apache.lucene.analysis.pt.RSLPStemmerBase
  - - org.apache.lucene.analysis.gl.GalicianMinimalStemmer

    public class GalicianMinimalStemmer
    extends RSLPStemmerBase

Minimal Stemmer for Galician

This follows the "RSLP-S" algorithm, but modified for Galician. Hence this stemmer only applies the plural reduction step of: "Regras do lematizador para o galego"

See Also:
  `RSLPStemmerBase`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase

`RSLPStemmerBase.Rule, RSLPStemmerBase.RuleWithSetExceptions, RSLPStemmerBase.RuleWithSuffixExceptions, RSLPStemmerBase.Step`

### Constructor Summary

Constructors
Constructor and Description
`GalicianMinimalStemmer()`

### Method Summary

Methods
`int` `stem(char[] s, int len)`

### Methods inherited from class org.apache.lucene.analysis.pt.RSLPStemmerBase

`parse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GalicianMinimalStemmer

    public GalicianMinimalStemmer()

### Method Detail

#### stem

    public int stem(char[] s,
           int len)